Support » Plugin: WP Hide Post » PHP error report at top of my site

  • Resolved gtc1953

    (@gtc1953)


    since updating the WP Hide Post plugin this eooro is being displayed at the top of my website

    Warning: Parameter 2 to wp_hide_post_Public::query_posts_join() expected to be a reference, value given in /homepages/32/d615328826/htdocs/clickandbuilds/myprimaryclassroom/wp-includes/class-wp-hook.php on line 298

    I have turned off debuggig to mane it go away but wondered if there was a fix in the pipeline?

    Can you help?

    Thanks

    Gary

Viewing 9 replies - 1 through 9 (of 9 total)
  • error not eooro

    Sorry!

    Same here

    Plugin Author scriptburn

    (@scriptburn)

    @modrzjwzky What version of plugin you are using ? As this issue has been already address in latest version 2.0.10

    I’m using the newest version 2.0.10. I never used previous versions because it’s my first try with this plugin.

    The same happened to me today when I tried to update to version 2.0.10.

    Details:
    Current version installed: 1.2.2
    Wordpress version: 4.8.1
    Workaround: I had to rollback to version 1.2.2 (thank God there was a backup!).

    @scriptburn, if you need more details, please let me know.

    Plugin Author scriptburn

    (@scriptburn)

    This issue has been addressed in version 2.0.11 which we will push very soon

    I git clone v 2.0.11 from github and check this fix.
    ver 2.0.11 don’t fix issue.
    backtrace:

    “Parameter 2 to wp_hide_post_Public::query_posts_join() expected to be a reference, value given wp-includes/class-wp-hook.php:298 apply_filters_ref_array(‘posts_join_paged’)
    wp-includes/class-wp-query.php:2554
    WP_Query->get_posts()
    wp-includes/class-wp-query.php:3248
    WP_Query->query()
    wp-includes/class-wp.php:617
    WP->query_posts()
    wp-includes/class-wp.php:735
    WP->main()
    wp-includes/functions.php:955
    wp()
    wp-blog-header.php:16”

    As far as I know, the problem is only when working with PHP 7.1.

    To solve it, in public/class-wp-hide-post-public.php I suggest to remove the ampersand character in line 318 for version 3.0.10 and 348 for 2.0.11

    From:
    public function query_posts_join($join, &$wp_query)
    To:
    public function query_posts_join($join, $wp_query)

    Fix suggested to github.

    Thex, fixed 🙂

Viewing 9 replies - 1 through 9 (of 9 total)
  • The topic ‘PHP error report at top of my site’ is closed to new replies.